# Uses of Interface
org.eclipse.mat.snapshot.IPathsFromGCRootsComputer

Packages that use IPathsFromGCRootsComputer
Package
Description
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of IPathsFromGCRootsComputer in org.eclipse.mat.internal.snapshot.inspections

Constructors in org.eclipse.mat.internal.snapshot.inspections with parameters of type IPathsFromGCRootsComputer
Modifier
Constructor
Description
``
`Tree(ISnapshot snapshot, int objectId, IPathsFromGCRootsComputer computer)`

## Uses of IPathsFromGCRootsComputer in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return IPathsFromGCRootsComputer
Modifier and Type
Method
Description
`IPathsFromGCRootsComputer`
SnapshotImpl.`getPathsFromGCRoots(int objectId, Map<IClass,Set<String>> excludeList)`

## Uses of IPathsFromGCRootsComputer in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return IPathsFromGCRootsComputer
Modifier and Type
Method
Description
`IPathsFromGCRootsComputer`
ISnapshot.`getPathsFromGCRoots(int objectId, Map<IClass,Set<String>> excludeMap)`
Get interactive computer for paths from GC roots to the given object.